/*
 * @(#)pix.c	1.1	10/21/84
 *
 * Picture subwindow routines for the SUN Gremlin picture editor.
 *
 * Mark Opperman (opcode@monet.BERKELEY)
 *
 * Modifications by Jim Thompson (james@ernie.berkeley.edu)
 */

#include "gremlin.h"
#include "icondata.h"

/* imports from graphics.c */

extern GRCurrentSetOn();

/* imports from text.c */

extern TxMsgOK();

/* imports from main.c */

extern ELT		*cset;
extern float		PX, PY;
Window			pix_sw;
extern struct rect	pix_size;
extern			SUN_XORIGIN;
extern			SUN_YORIGIN;
extern			FLASH_READY; /*::*/

/* imports from help.c */

extern pixsw_help();

pix_left(eventPtr)
register XButtonEvent *eventPtr;
{
    if (buttonUp) return;
    TxMsgOK();
    PX = winx_to_db(eventPtr->x);
    PY = winy_to_db(eventPtr->y);
    (void)LGPoint();
}

/*ARGSUSED*/
int
pix_middle(eventPtr)
XButtonEvent *eventPtr;
{
    if (buttonUp) return;
    TxMsgOK();
    LGDeletePoint();
}

/*ARGSUSED*/
int
pix_right(eventPtr)
XButtonEvent *eventPtr;
{
    if (buttonUp) return;
    TxMsgOK();
    pixsw_help();
}

/*ARGSUSED*/
int
pix_move(eventPtr)
XMotionEvent *eventPtr;
{
    FLASH_READY = 1;	/* ok to flash normally */
}

/*ARGSUSED*/
int
pix_winexit(eventPtr)
XCrossingEvent *eventPtr;
{
    GRCurrentSetOn();
}
