/*
 * @(#)icondata.h	1.2	1/3/85
 *
 * References to memory pixrects used primarily as menu icons in
 * the SUN Gremlin picture editor.  This file must be maintained
 * consistently with icondata.c where the pixrects are actually
 * defined.
 *
 * Mark Opperman (opcode@monet.BERKELEY)
 *
 * Modifications by Jim Thompson (james@ernie.berkeley.edu)
 */

#ifndef _ICONDATA
#define _ICONDATA

#include <X11/Xlib.h>
#include "gremlin.h"

extern PMRec	align_pm,
		arc_pm,
		arrow_pm,
		arrowhead_pm,
		bigblack_pm,
		box_pm,
		boxinc_pm,
		copy_pm,
		curve_pm,
		curve_B_pm,
		curve_Bz_pm,
		dblarrow_pm,
		erase_pm,
		filecabinet_pm,
		get1_pm,
		get2_pm,
		get3_pm,
		get4_pm,
		gravity_pm,
		grid_pm,
		hmirror_pm,
		horizontal_pm,
		horvert_pm,
		include_pm,
		includeset_pm,
		justify_pm,
		littlepoint_pm,
		move_pm,
		movepoint_pm,
		polygon_pm,
		bpolygon_pm,
		put1_pm,
		put2_pm,
		put3_pm,
		put4_pm,
		question_pm,
		rotate_pm,
		scale_pm,
		text_pm,
		undo_pm,
		vector_pm,
		vertical_pm,
		vmirror_pm;
		      
/***************** stipple data ****************/

extern PMRec	openbox_pm,
		white_pm,
		gray_pm,
		_50_pm,
		black_pm,
		stipple5_pm,
		stipple6_pm,
		stipple7_pm,
		stipple8_pm;

/********************  sizes  *********************/

extern PMRec size1_pm,
size2_pm,
size3_pm,
size4_pm;

/********************  fonts  *********************/

extern PMRec roman_pm,
		      bold_pm,
		      italics_pm,
		      special_pm;

/********************  lines  *********************/

extern PMRec broken_pm,
		      dashed_pm,
		      dotted_pm,
		      medium_pm,
		      narrow_pm,
		      thick_pm;

/********************  misc   *********************/

extern PMRec point_pm,
		      bigopenbox_pm,
		      replgrid32_pm,
		      misc_pm,
		      linestyle_pm,
		      pan_pm,
		      dot_pm;

/*************  gremlin tool icon   **************/

extern PMRec gremlin_icon_pm;

#endif
